Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class MuleRequestMessage

    java.lang.Object
      org.mule.module.ibeans.spi.MuleRequestMessage

All Implemented Interfaces:
  org.ibeans.api.Request

    public class MuleRequestMessage

extends Object
implements org.ibeans.api.Request

An implementation of an IBeans `Request` that adapts to a `MuleMessage`

Constructor Summary
`MuleRequestMessage(org.ibeans.api.IBeanInvocationData data, MuleMessage message)`

Method Summary
`void` | `addAttachment(String name, DataHandler handler)`
`void` | `addHeader(String name, Object value)`
`DataHandler` | `getAttachment(String name)`
`Set<String>` | `getAttachmentNames()`
`Object` | `getHeader(String name)`
`Set<String>` | `getHeaderNames()`
`org.ibeans.api.IBeanInvocationData` | `getIBeanInvocationData()`
`MuleMessage` | `getMessage()`
`Object` | `getPayload()`
`int` | `getTimeout()`
`DataHandler` | `removeAttachment(String name)`
`Object` | `removeHeader(String name)`
`void` | `setPayload(Object payload)`
`void` | `setTimeout(int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleRequestMessage

    public MuleRequestMessage(org.ibeans.api.IBeanInvocationData data,
                              MuleMessage message)

Method Detail

### getPayload

    public Object getPayload()

  Specified by:
    `getPayload` in interface `org.ibeans.api.Request`

### setPayload

    public void setPayload(Object payload)

  Specified by:
    `setPayload` in interface `org.ibeans.api.Request`

### addHeader

    public void addHeader(String name,
                          Object value)

  Specified by:
    `addHeader` in interface `org.ibeans.api.Request`

### removeHeader

    public Object removeHeader(String name)

  Specified by:
    `removeHeader` in interface `org.ibeans.api.Request`

### getHeader

    public Object getHeader(String name)

  Specified by:
    `getHeader` in interface `org.ibeans.api.Request`

### getHeaderNames

    public Set<String> getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `org.ibeans.api.Request`

### addAttachment

    public void addAttachment(String name,
                              DataHandler handler)

  Specified by:
    `addAttachment` in interface `org.ibeans.api.Request`

### removeAttachment

    public DataHandler removeAttachment(String name)

  Specified by:
    `removeAttachment` in interface `org.ibeans.api.Request`

### getAttachment

    public DataHandler getAttachment(String name)

  Specified by:
    `getAttachment` in interface `org.ibeans.api.Request`

### getAttachmentNames

    public Set<String> getAttachmentNames()

  Specified by:
    `getAttachmentNames` in interface `org.ibeans.api.Request`

### getTimeout

    public int getTimeout()

  Specified by:
    `getTimeout` in interface `org.ibeans.api.Request`

### setTimeout

    public void setTimeout(int timeout)

  Specified by:
    `setTimeout` in interface `org.ibeans.api.Request`

### getIBeanInvocationData

    public org.ibeans.api.IBeanInvocationData getIBeanInvocationData()

  Specified by:
    `getIBeanInvocationData` in interface `org.ibeans.api.Request`

### getMessage

    public MuleMessage getMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.